Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161725 - SATA DVD-Recorder Plextor 716SA not detected
Summary: SATA DVD-Recorder Plextor 716SA not detected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-26 16:26 UTC by Michael Metz
Modified: 2013-07-03 02:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-19 05:27:07 UTC


Attachments (Terms of Use)
from working 2.6.13.4 - lsmod; lspci; ls /dev/cd* /dev/dv* (deleted)
2005-12-02 06:23 UTC, Steve Wendt
no flags Details
from failing 2.6.14 - lsmod; lspci; ls /dev/cd* /dev/dv* (deleted)
2005-12-02 06:24 UTC, Steve Wendt
no flags Details

Description Michael Metz 2005-06-26 16:26:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
My new DVD-Recorder PX716SA is not detected by Fedora. It's a SATA-Drive.
It's correctly detected by BIOS (can boot from it). My SATA-HDD works also.

How can I help? Which information do you need?

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1369_FC4SMP

How reproducible:
Always

Steps to Reproduce:
1. Buy a PX716SA
2. Plug it into your SATA-Controller
3. Try to get it work ;-)

Additional info:

Comment 1 Stefan Neufeind 2005-06-26 20:10:52 UTC
same here. SATA-hdd works without problems

Comment 2 Steve Wendt 2005-06-29 01:46:37 UTC
This works for me:
http://www.linuxquestions.org/questions/history/281321


Comment 3 Dave Jones 2005-07-15 21:48:02 UTC
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.


Comment 4 Michael Metz 2005-07-16 06:47:19 UTC
recreated modprobe.conf & hwconf
installed new kernel
nothing changed

Comment 5 Dave Jones 2005-09-30 06:35:38 UTC
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.


Comment 6 Michael Metz 2005-09-30 07:34:45 UTC
Still an issue on 2.6.13-1.1526_FC4smp

Comment 7 Dave Jones 2005-11-10 19:36:25 UTC
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.


Comment 8 Steve Wendt 2005-12-02 06:21:23 UTC
Tested 2.6.14-1.1644_FC4smp, and it doesn't work for me; I get no /dev entries.
 I haven't been able to get standard 2.6.14.3 to work, either.  It seems that
the ENABLE_ATAPI define has been replaced with a module parameter; is the
correct usage of that to add a line like this to /etc/modprobe.conf?
options libata-core atapi_enabled=1

Comment 9 Steve Wendt 2005-12-02 06:23:31 UTC
Created attachment 121729 [details]
from working 2.6.13.4 - lsmod; lspci; ls /dev/cd* /dev/dv*

Comment 10 Steve Wendt 2005-12-02 06:24:31 UTC
Created attachment 121730 [details]
from failing 2.6.14 - lsmod; lspci; ls /dev/cd* /dev/dv*

Comment 11 Steve Wendt 2005-12-03 05:06:21 UTC
I got it working (on both standard 2.6.14.3 and 2.6.14-1.1644_FC4smp).  The
source module is libata-core.c, but the module name is libata - but that was
only part of the problem.  What I had to do:

1) add "options libata atapi_enabled=1" to /etc/modprobe.conf
2) remove "alias scsi_hostadapter1 ata_piix" from /etc/modprobe.conf
3) rebuild initrd image with mkinitrd
4) reboot, and it works! 

Note that ata_piix still gets loaded, so the load order must be the important
thing.  I'm glad that the kernel no longer needs modified (even if it was just a
simple #define) for this to work.  I guess the next step is getting it to work
without needing the extra option.


Comment 12 Steve Wendt 2005-12-03 05:15:41 UTC
Please note that kudzu-1.1.116.3-1 generates a modprobe.conf that won't work.


Comment 13 Dave Jones 2006-02-03 06:51:51 UTC
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.


Comment 14 Michael Metz 2006-02-05 08:12:20 UTC
still not detected with current kernel 2.6.14-1.1656_FC4smp

Comment 15 Michael Metz 2006-02-05 16:44:07 UTC
Kernel 2.6.15-1.1830_FC4smp seems to work. Drive got detected - burning via k3b
was successful.

Comment 16 Steve Wendt 2006-02-17 04:25:40 UTC
2.6.15-1.1831_FC4smp seems to work for me too, I think this bug can be closed.


Note You need to log in before you can comment on or make changes to this bug.